Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
webcam::Webcam Interface Reference

The webcam interface. More...

`import "Webcam.idl";`

## Classes
struct | SettingsChangedEvent
| This event is emitted after the settings of a webcam were changed. More...

## Public Member Functions
Information | getInformation ()
| Retrieve information of a specific webcam.
Settings | getSettings ()
| Retrieve settings of a specific webcam.
int | setSettings (in Settings settings)
| Change settings of a specific webcam.
int | setControls (in Controls controls)
| Apply webcam control settings without storing them.
Controls | getControlDefaults ()
| Retrieve the default value of the controls.

## Public Attributes
constant int | NO_ERROR = 0
| Error codes.
constant int | ERR_INVALID_PARAM = 1
| Invalid parameter for an operation.

## Detailed Description

The webcam interface.

Definition at line 86 of file Webcam.idl.

## Member Function Documentation

## ◆ getControlDefaults()

Controls webcam::Webcam::getControlDefaults | ( |  | ) |

Retrieve the default value of the controls.

Returns
  Controls

## ◆ getInformation()

Information webcam::Webcam::getInformation | ( |  | ) |

Retrieve information of a specific webcam.

Returns
  Information

## ◆ getSettings()

Settings webcam::Webcam::getSettings | ( |  | ) |

Retrieve settings of a specific webcam.

Returns
  Settings

## ◆ setControls()

int webcam::Webcam::setControls | ( | in Controls | controls | ) |

Apply webcam control settings without storing them.

Parameters

  controls | Control settings

Returns
  0 if success
  1 if any parameter is invalid

## ◆ setSettings()

int webcam::Webcam::setSettings | ( | in Settings | settings | ) |

Change settings of a specific webcam.

Parameters

  settings | New webcam settings

Returns
  0 if success
  1 if any parameter is invalid

## Member Data Documentation

## ◆ ERR_INVALID_PARAM

constant int webcam::Webcam::ERR_INVALID_PARAM = 1

Invalid parameter for an operation.

Definition at line 91 of file Webcam.idl.

## ◆ NO_ERROR

constant int webcam::Webcam::NO_ERROR = 0

Error codes.

Operation successful, no error

Definition at line 90 of file Webcam.idl.

The documentation for this interface was generated from the following file:

- Webcam.idl